%define name fotoxx

Summary: Editor of image files from digital cameras
Summary(de): Editor mit grundlegenden Funktionen zum Verbessern von Digitalfotos
Name: %name
Version: 17.08.2
Release: %mkrel 1
Group: Graphics
License: GPLv3
URL: http://kornelix.squarespace.com/fotoxx
BuildRoot: %_tmppath/%name-%version-%release-buildroot
Source0: %name-%version.tar.xz
#------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}freeimage-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}champlain-devel
BuildRequires: xdg-utils
BuildRequires: ufraw
BuildRequires: perl-Image-ExifTool
#------------------------------------------ 
Requires: leafpad
Requires: ufraw 
Requires: dcraw
Requires: gtk+3.0
Requires: exiv2
Requires: perl-Image-ExifTool
Requires: printoxx
Requires: %{_lib}freeimage3 
Requires: %{_lib}exif-gtk5
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes: %name < %version

%description
Navigate image collection with thumbnail browser, view and edit 
images, change brightness distribution, manipulate color, trim,
make panorama and HDR images, rotate, rescale, warp, fix red-eyes, 
fix perspective, sharpen, blur, remove noise. Assign tags/keywords
and star-ratings to images, search by tags/date/rating. Edits can 
also be made within a mouse-selected area with smooth blending of 
the edges. Convert RAW files to TIFF and edit 16 bits/color.

%description -l de
fotoxx ist ein Open-Source-Programm für Linux mit grundlegenden Funktionen zum Verbessern von Digitalfotos. 
Auf der Homepage des Projektes gibt es eine Gallerie mit Beispielfotos der Fähigkeiten u. A. 
Ordnernavigation, Anzeige von Exif-Informationen, Beschneiden, Skalieren, Panorama und HDR-Funktion,
Rote-Augen-Unterdrückung, Rotation, Farbabstimmung, Schärfen, Rauschunterdrückung und Entzerren. 
Das Programm ist einfach zu bedienen und wendet sich an Einsteiger in die Digitalfotografie. Die
GUI ist in englisch, deutsch und spanisch verfügbar. 


%prep
%setup -q -n %{name}-%{version}

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#drop this
rm -rf %{buildroot}%{_datadir}/applications/kornelix-%{name}.desktop

#menu entry
mkdir -p %buildroot%_datadir/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Fotoxx Image Editor
GenericName=Image Editor
Comment=Edit image files from a digital camera
Comment[de]=Editor für Bild-Dateien von digitalen Kameras
Exec=fotoxx
Icon=fotoxx
Type=Application
StartupNotify=true
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
Terminal=false
EOF

# menu icon
mkdir -p %buildroot/%_datadir/icons/hicolor/48x48/apps
install -m 644 icons/%name.png %buildroot%_datadir/icons/hicolor/48x48/apps/%name.png
mkdir -p %buildroot%_datadir/pixmaps
install -m 644 %buildroot%_datadir/icons/hicolor/48x48/apps/%name.png %buildroot%_datadir/pixmaps


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%_datadir/doc/%{name}
%{_bindir}/%{name}
%{_bindir}/fotoxx-snap
%{_datadir}/%{name}
%{_datadir}/appdata/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%name.png
%{_datadir}/pixmaps/%name.png
%{_datadir}/man/man1/*.1.bz2

%changelog
* Sun Jun 10 2018 adrianomosrelli <adrianomorselli> 17.08.2-1uplos2018
- update
